admin_cart_rules_index:
  path: /
  methods: [ GET ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::indexAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules
    _legacy_feature_flag: cart_rule

admin_cart_rules_search:
  path: /search
  methods: [ GET ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::searchAction'
    _legacy_controller: AdminCartRules
  options:
    expose: true

admin_cart_rules_search_grid:
  path: /
  methods: [ POST ]
  defaults:
    _controller: PrestaShopBundle\Controller\Admin\CommonController::searchGridAction
    gridDefinitionFactoryServiceId: prestashop.core.grid.definition.factory.cart_rule
    redirectRoute: admin_cart_rules_index
    _legacy_controller: AdminCartRules

admin_cart_rule_toggle_status:
  path: /{cartRuleId}/toggle-status
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::toggleStatusAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules:statuscart_rule
    _legacy_feature_flag: cart_rule
    _legacy_parameters:
      id_cart_rule: cartRuleId
  requirements:
    cartRuleId: \d+

admin_cart_rules_delete:
  path: /{cartRuleId}/delete
  methods: [ POST, DELETE ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::deleteAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules:deletecart_rule
    _legacy_feature_flag: cart_rule
    _legacy_parameters:
      id_cart_rule: cartRuleId
  requirements:
    cartRuleId: \d+

admin_cart_rules_bulk_delete:
  path: /bulk-delete
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::bulkDeleteAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules:submitBulkdeletecart_rule
    _legacy_feature_flag: cart_rule

admin_cart_rules_bulk_enable_status:
  path: /bulk-enable
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::bulkEnableAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules:submitBulkenableSelectioncart_rule
    _legacy_feature_flag: cart_rule

admin_cart_rules_bulk_disable_status:
  path: /bulk-disable
  methods: [ POST ]
  defaults:
    _controller: 'PrestaShopBundle\Controller\Admin\Sell\Catalog\CartRuleController::bulkDisableAction'
    _legacy_controller: AdminCartRules
    _legacy_link: AdminCartRules:submitBulkdisableSelectioncart_rule
    _legacy_feature_flag: cart_rule
